--- title: "Get node communication information" slug: "analytics-clouddatastreamingservice-cluster-getbrokerinfo" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getbrokerinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get node communication information Available in VPC Get communication information for a Cloud Data Streaming Service cluster broker node. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/cluster/getBrokerInfo/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v1/cluster/getBrokerInfo/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v1/cluster/getBrokerInfo/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getBrokerInfo/1009*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.brokerNodeDnsInfoList` | Array | - | Broker node DNS information: [brokerNodeDnsInfoList](/docs/en/analytics-clouddatastreamingservice-cluster-getbrokerinfo#brokerNodeDnsInfoList) | | `result.brokerNodeList` | String | - | Broker node list (plain text access) - Based on port 9092 | | `result.brokerTlsNodeList` | String | - | Broker node list (TLS access) - Based on port 9093 | | `result.publicEndpointBrokerNodeList` | String | - | Broker node public endpoint list (plain text access) | | `result.publicEndpointBrokerNodeListenerPortList` | String | - | Broker node listener port list (plain text access) | | `result.publicEndpointBrokerTlsNodeList` | String | - | Broker node public endpoint list (TLS access) | | `result.publicEndpointBrokerTlsNodeListenerPortList` | String | - | Broker node listener port list (TLS access) | | `result.localDnsList` | String | - | Hosts file modification information (plain text access) - Private IP and host name format | | `result.localDnsTlsList` | String | - | Hosts file modification information (TLS access) - Public IP and host name format | | `result.zookeeperList` | String | - | ZooKeeper node list - Based on port 2181 | | `result.publicEndpointBrokerNodeDnsList` | String | - | Broker node DNS list (plain text access) | | `result.publicEndpointBrokerTlsNodeDnsList` | String | - | Broker node DNS list (TLS access) | | `requestId` | String | - | ID for the request - UUID format | #### `brokerNodeDnsInfoList` The following describes `brokerNodeDnsInfoList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `hostName` | String | - | Host name | | `dns` | String | - | DNS | | `ip` | String | - | IP Address | | `plainTextPort` | Integer | - | Plain text access port number | | `tlsPort` | Integer | - | TLS access port number | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "brokerNodeDnsInfoList": [ { "hostName": "cluster02-b-264s", "dns": "*********************************************", "ip": "10.0.20.14", "plainTextPort": 9094, "tlsPort": 9095 }, { "hostName": "cluster02-b-264t", "dns": "*********************************************", "ip": "10.0.20.15", "plainTextPort": 9094, "tlsPort": 9095 }, { "hostName": "cluster02-b-264u", "dns": "*********************************************", "ip": "10.0.20.16", "plainTextPort": 9094, "tlsPort": 9095 }, { "hostName": "cluster02-b-266j", "dns": "*********************************************", "ip": "10.0.20.10", "plainTextPort": 9094, "tlsPort": 9095 }, { "hostName": "cluster02-b-266k", "dns": "*********************************************", "ip": "10.0.20.11", "plainTextPort": 9094, "tlsPort": 9095 } ], "brokerNodeList": "10.0.20.14:9092,10.0.20.15:9092,10.0.20.16:9092,10.0.20.10:9092,10.0.20.11:9092", "brokerTlsNodeList": "cluster02-b-264s:9093,cluster02-b-264t:9093,cluster02-b-264u:9093,cluster02-b-266j:9093,cluster02-b-266k:9093", "publicEndpointBrokerNodeList": "lblblb-1009*****-***********.kr.lb.naverncp.com:9100,lblblb-1009*****-***********.kr.lb.naverncp.com:9101,lblblb-1009*****-***********.kr.lb.naverncp.com:9102,lblblb-1009*****-***********.kr.lb.naverncp.com:9103,lblblb-1009*****-***********.kr.lb.naverncp.com:9104", "publicEndpointBrokerNodeListenerPortList": "cluster02-b-264s 9100\ncluster02-b-264t 9101\ncluster02-b-264u 9102\ncluster02-b-266j 9103\ncluster02-b-266k 9104\n", "publicEndpointBrokerTlsNodeList": "cluster02-b-264s:9300,cluster02-b-264t:9301,cluster02-b-264u:9302,cluster02-b-266j:9303,cluster02-b-266k:9304", "publicEndpointBrokerTlsNodeListenerPortList": "cluster02-b-264s 9300\ncluster02-b-264t 9301\ncluster02-b-264u 9302\ncluster02-b-266j 9303\ncluster02-b-266k 9304\n", "localDnsList": "10.0.20.14 cluster02-b-264s\n10.0.20.15 cluster02-b-264t\n10.0.20.16 cluster02-b-264u\n10.0.20.10 cluster02-b-266j\n10.0.20.11 cluster02-b-266k\n", "localDnsTlsList": "***.***.***.*** cluster02-b-264s\n***.***.***.*** cluster02-b-264t\n***.***.***.*** cluster02-b-264u\n***.***.***.*** cluster02-b-266j\n***.***.***.*** cluster02-b-266k\n", "zookeeperList": "10.0.20.14:2181,10.0.20.15:2181,10.0.20.16:2181", "publicEndpointBrokerNodeDnsList": "cluster02-b-264s-***********.kr.cdss.naverncp.com:9094,cluster02-b-264t-***********.kr.cdss.naverncp.com:9094,cluster02-b-264u-***********.kr.cdss.naverncp.com:9094,cluster02-b-266j-***********.kr.cdss.naverncp.com:9094,cluster02-b-266k-***********.kr.cdss.naverncp.com:9094", "publicEndpointBrokerTlsNodeDnsList": "cluster02-b-264s-***********.kr.cdss.naverncp.com:9095,cluster02-b-264t-***********.kr.cdss.naverncp.com:9095,cluster02-b-264u-***********.kr.cdss.naverncp.com:9095,cluster02-b-266j-***********.kr.cdss.naverncp.com:9095,cluster02-b-266k-***********.kr.cdss.naverncp.com:9095" }, "requestId": "f43ae695-****-****-****-04bb8085ed35" } ```